import { ChangeDetectorRef, EventEmitter, Renderer2, ElementRef, AfterViewInit, NgZone } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class RCheckboxComponent implements AfterViewInit, ControlValueAccessor {
    private changeDetector;
    private renderer;
    private hostElement;
    private zone;
    onChange: any;
    onTouched: any;
    get checked(): boolean;
    set checked(value: boolean);
    private _checked;
    static ngAcceptInputType_checked: any;
    /**
     * Controls input disabled state
     */
    get disabled(): boolean;
    set disabled(value: boolean);
    private _disabled;
    static ngAcceptInputType_disabled: any;
    /**
     * Checkbox status.
     * Possible values are: `basic`, `primary`, `success`, `warning`, `danger`, `info`, `control`.
     */
    status: string;
    /**
     * Controls checkbox indeterminate state
     */
    get indeterminate(): boolean;
    set indeterminate(value: boolean);
    private _indeterminate;
    static ngAcceptInputType_indeterminate: any;
    /**
     * Output when checked state is changed by a user
     * @type EventEmitter<boolean>
     */
    checkedChange: EventEmitter<boolean>;
    get primary(): boolean;
    get success(): boolean;
    get warning(): boolean;
    get danger(): boolean;
    get info(): boolean;
    get basic(): boolean;
    get control(): boolean;
    constructor(changeDetector: ChangeDetectorRef, renderer: Renderer2, hostElement: ElementRef<HTMLElement>, zone: NgZone);
    ngAfterViewInit(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(val: any): void;
    setDisabledState(value: boolean): void;
    setTouched(): void;
    updateValueAndIndeterminate(event: Event): void;
}
